Summary: Bluetooth libraries
Name: bluez-libs
Version: 2.10
Release: 3
License: GPL
Group: System Environment/Libraries
Source: http://bluez.sourceforge.net/download/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Patch0: bluez-libs-2.10-align.patch
Patch1: bluez-libs-2.10-sdp-vuln.patch
URL: http://www.bluez.org/
Requires: bluez-libs >= %{version}
Obsoletes: bluez-sdp
ExcludeArch: s390 s390x

%description
Libraries for use in Bluetooth applications.

The BLUETOOTH trademarks are owned by Bluetooth SIG, Inc., U.S.A.

%package devel
Summary: Development libraries for Bluetooth applications
Group: Development/Libraries
Requires: bluez-libs = %{version}
Obsoletes: bluez-sdp-devel

%description devel
bluez-libs-devel contains development libraries and headers for
use in Bluetooth applications.

%prep

%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
/sbin/ldconfig -n $RPM_BUILD_ROOT/%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL ChangeLog NEWS README
%{_libdir}/libbluetooth.so.*

%files devel
%defattr(-,root,root)
/usr/include/bluetooth/*
%{_libdir}/libbluetooth.a
%{_libdir}/libbluetooth.so
%{_libdir}/pkgconfig/bluez.pc

%changelog
* Thu Jun 26 2008 - Bastien Nocera <bnocera@redhat.com> 2.10-3
- Fix CVE-2008-2374
Resolves: #452878

* Mon Aug 16 2004 David Woodhouse <dwmw2@redhat.com> 2.10-2
- Switch to nicer unaligned access macros

* Sat Aug 14 2004 David Woodhouse <dwmw2@redhat.com> 2.10-1
- Update to bluez-libs 2.10

* Tue Aug 03 2004 David Woodhouse <dwmw2@redhat.com> 2.9-1
- Update to bluez-libs 2.9

* Tue Jul 20 2004 David Woodhouse <dwmw2@redhat.com> 2.8-1
- Update to bluez-libs 2.8

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 11 2004 David Woodhouse <dwmw2@redhat.com> 2.7-1
- Update to bluez-libs 2.7

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 10 2004 Karsten Hopp <karsten@redhat.de> 2.5-1 
- update to 2.5

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Apr 24 2003 David Woodhouse <dwmw2@redhat.com>
- update to bluez-libs 2.4.

* Tue Feb 04 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- add symlinks to shared libs

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jan 16 2003 Bill Nottingham <notting@redhat.com> 2.3-1
- initial build
